### Virtual Method

# Atk Document set_document_attribute

since: 1.12

#### Declaration [src]

    gboolean
    set_document_attribute (
      AtkDocument* document,
      const gchar* attribute_name,
      const gchar* attribute_value
    )

#### Description [src]

Sets the value for the given `attribute_name` inside `document`.

Available since: 1.12

#### Parameters

`attribute_name`

  Type: `const gchar*`

  A character string representing the name of the attribute whose value is being set.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`attribute_value`

  Type: `const gchar*`

  A string value to be associated with `attribute_name`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `attribute_value` is successfully associated with `attribute_name` for this `document`, and `FALSE` if if the document does not allow the attribute to be modified.